// CPolhemusStatusBarActiveXControl.idl : type library source for ActiveX Control project.

// This file will be processed by the MIDL compiler tool to
// produce the type library (CPolhemusStatusBarActiveXControl.tlb) that will become a resource in
// CPolhemusStatusBarActiveXControl.ocx.

#include <olectl.h>
#include <idispids.h>

[ uuid(C369FEC3-19E4-454A-ACBB-5E784896FBB7), version(1.0),
  helpfile("CPolhemusStatusBarActiveXControl.hlp"),
  helpstring("CPolhemusStatusBarActiveXControl ActiveX Control module"),
  control ]
library CPolhemusStatusBarActiveXControlLib
{
	importlib(STDOLE_TLB);

	//  Primary dispatch interface for CCPolhemusStatusBarActiveXControlCtrl

	[ uuid(E72E5855-CE84-4E97-B369-0463C0326FA4),
	  helpstring("Dispatch interface for CPolhemusStatusBarActiveXControl Control")]
	dispinterface _DCPolhemusStatusBarActiveXControl
	{
		properties:
		[id(4), helpstring("property AutoReconnectPolhemus")] LONG AutoReconnectPolhemus;
		[id(5), helpstring("property IsConnected")] LONG IsConnected;
methods:
			[id(DISPID_ABOUTBOX)] void AboutBox();
			[id(1), helpstring("method GetStylusPosition")] HRESULT GetStylusPosition( [in,out] FLOAT* _x, [in,out] FLOAT* _y, [in,out] FLOAT* _z);
			[id(2), helpstring("method DisconnectPolhemus")] void DisconnectPolhemus(void);
			[id(3), helpstring("method ConnectPolhemus")] void ConnectPolhemus(void);
	};

	//  Event dispatch interface for CCPolhemusStatusBarActiveXControlCtrl

	[ uuid(1A1062CC-91D2-45B7-A145-DECA7EDE0E16),
	  helpstring("Event interface for CPolhemusStatusBarActiveXControl Control") ]
	dispinterface _DCPolhemusStatusBarActiveXControlEvents
	{
		properties:
			//  Event interface has no properties

		methods:
		[id(1)] void WM_CPOLHEMUS_STYLUSBTN_DATA(FLOAT x, FLOAT y, FLOAT z);
		[id(2)] void WM_CPOLHEMUS_REALTIME_DATA(FLOAT x, FLOAT y, FLOAT z);
	};

	//  Class information for CCPolhemusStatusBarActiveXControlCtrl

	[ uuid(C1671AC2-2A6A-4F75-B2F9-DFBFEAA8AD7F),
	  helpstring("CPolhemusStatusBarActiveXControl Control"), control ]
	coclass CPolhemusStatusBarActiveXControl
	{
		[default] dispinterface _DCPolhemusStatusBarActiveXControl;
		[default, source] dispinterface _DCPolhemusStatusBarActiveXControlEvents;
	};

};
